# Phun Redistribution License Agreement (LICENSE.mageia.org) was received from
# phun's support Emanuel Dahlberg <support@algoryx.se> to phun's maintainer
# Alexey Loginov <alexl@mageia.org> by email, the 18st of August, 2014

# empty-debuginfo-package
%define debug_package %{nil}

%global         __requires_exclude libpng.so.3|libzip.so.1|libboost_filesystem-mt.so|libboost_system-mt.so|libboost_thread-mt.so|libGLEW.so.1.5

%define         phundir %{_datadir}/phun
%define         oname Phun
%define         png_num 16
%define         rev beta5

Name:           phun
Summary:        2D physics sandbox
Version:        5.28
Release:        %mkrel -c %{rev} 8
License:        Freeware
Url:            https://www.algoryx.se/
Group:          Sciences/Physics
Source0:        http://www.phunland.com/download/%{oname}_beta_5_28_linux64.tgz
Source1:        http://www.phunland.com/download/%{oname}_beta_5_28_linux32.tgz
Source2:        %{name}.png
Source3:        %{name}.desktop
Source4:        %{oname}_beta_5_28_linux_additional.tar.gz
Source5:        LICENSE.mageia.org.txt
Source6:        %{name}
Patch0:         %{name}-%{version}-mga-xdg-open-url.patch
Patch1:         %{name}-%{version}-mga-russian.patch
Requires:       xdg-utils
Requires:       %{_lib}png%{png_num}_%{png_num}
AutoProv:       no
BuildRequires:  chrpath
ExclusiveArch:  x86_64

%description
Algodoo PHUN edition.
In Phun you can create your own world of things that collide, bounce, swing,
run, drive, fly and flow.
Phun is meant to be a playground where people can be creative. It can also be
used as an educational tool to learn about physics concepts such as restitution
and friction.
Phun is a Master of Science Thesis by Computing Science student Emil Ernerfeldt
for supervisor Kenneth Bodin at VRLab, Umeå University. The solver is based
on work by Claude Lacoursière.

%prep
%ifarch x86_64
%setup -q -T -b 0 -n %{oname}
%else
%setup -q -T -b 1 -n %{oname}
%endif
%patch -P 0 -p1
%patch -P 1 -p1
tar -xf %{SOURCE4}
cp -f %{SOURCE5} ./
# wrong-script-end-of-line-encoding
sed -i 's/\r$//' *.txt
# file-not-utf8
iconv -f ISO-8859-1 -t UTF-8 -o README.txt.new README.txt
mv -f README.txt.new README.txt

%ifarch %{ix86}
chrpath -r %{phundir} %{name}.bin
%endif

%build
# nothing

%install
install -D -m644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -m644 %{SOURCE3} %{buildroot}%{_datadir}/applications/%{name}.desktop
mkdir -p %{buildroot}%{phundir}
mkdir -p %{buildroot}%{_bindir}
cp -a data %{buildroot}%{phundir}/
cp -a lib %{buildroot}%{phundir}/
cp -a materials %{buildroot}%{phundir}/
cp -a scenes %{buildroot}%{phundir}/
cp -a screenshots %{buildroot}%{phundir}/
cp -a textures %{buildroot}%{phundir}/
install -m 666 *.cfg %{buildroot}%{phundir}/
install -m 755 %{name}.bin %{buildroot}%{phundir}/
install -m 755 %{name} %{buildroot}%{phundir}/
cp -a additional/scenes/* %{buildroot}%{phundir}/scenes/
install -m 755 %{name} %{buildroot}%{_bindir}/
install -m 755 %{SOURCE6} %{buildroot}%{_bindir}/
touch %{buildroot}%{phundir}/Logfile.txt
chmod 666 %{buildroot}%{phundir}/Logfile.txt
chmod 777 %{buildroot}%{phundir}/scenes
chmod 777 %{buildroot}%{phundir}/scenes/%{name}lets
chmod 777 %{buildroot}%{phundir}/screenshots
install -m 755 startbrowser.sh %{buildroot}%{_bindir}/

%post
if [ ! -f "%{_libdir}/libpng.so.3" ]
then
   ln -s %{_libdir}/libpng%{png_num}.so.%{png_num} %{_libdir}/libpng.so.3
fi

%preun
if [ -f "%{_libdir}/libpng.so.3" ]
then
   rm -f %{_libdir}/libpng.so.3
fi

%files
%doc *.txt
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_bindir}/%{name}
%{_bindir}/startbrowser.sh
%{phundir}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 5.28-0.beta5.8.mga10
+ Revision: 2244099
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 umeabot <umeabot> 5.28-0.beta5.7.mga9.nonfree
+ Revision: 1929208
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 5.28-0.beta5.6.mga8.nonfree
+ Revision: 1548641
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 5.28-0.beta5.5.mga7.nonfree
+ Revision: 1287910
- Mageia 7 Mass Rebuild

* Fri Jul 07 2017 akien <akien> 5.28-0.beta5.4.mga6.nonfree
+ Revision: 1109205
- Mageia 6 rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.28-0.beta5.3.mga5.nonfree
+ Revision: 740091
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 alexl <alexl> 5.28-0.beta5.2.mga5.nonfree
+ Revision: 731521
+ rebuild (emptylog)

* Tue Sep 16 2014 umeabot <umeabot> 5.28-0.beta6.1.mga5.nonfree
+ Revision: 687571
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sun Aug 24 2014 alexl <alexl> 5.28-0.beta5.1.mga5.nonfree
+ Revision: 667183
- imported package phun

